// Copyright (c) 2020 UWB & LESP.
// The UWB & LESP license this file to you under the MIT license.

package cz.senslog.connector.model.afarcloud;

public class SensorMeasurement {

    protected static class Result {
        Double value;
        String uom;
    }

    private String observedProperty;
    private Long resultTime;
    private Result result;

    public String getObservedProperty() {
        return observedProperty;
    }

    public void setObservedProperty(String observedProperty) {
        this.observedProperty = observedProperty;
    }

    public Long getResultTime() {
        return resultTime;
    }

    public void setResultTime(Long resultTime) {
        this.resultTime = resultTime;
    }


    public Result getResult() {
        return result;
    }

    public void setResult(Double value, String uom) {
        this.result = new Result();
        this.result.value = value;
        this.result.uom = uom;
    }

    public void setResult(Double value) {
        this.result = new Result();
        this.result.value = value;
    }
}
